gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A frame that constrains its child to a particular aspect ratio.

The AspectFrame is useful when you want pack a widget so that it can resize but always retains the same aspect ratio. For instance, one might be drawing a small preview of a larger image. AspectFrame derives from , so it can draw a label and a frame around the child. The frame will be "shrink-wrapped" to the size of the child.

Gtk.Frame Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` `` Set the size and alignment properties of this AspectFrame. Horizontal alignment of the child within the allocation of the AspectFrame. Vertical alignment of the child within the allocation of the AspectFrame. The desired aspect ratio. If , ratio is ignored, and the aspect ratio is taken from the requistion of the child.

  Alignment values range from 0.0 (left/top aligned) to 1.0 (right/bottom aligned).

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of AspectFrame, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of AspectFrame, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  The main way to construct a new AspectFrame.
  A title for the frame, can be .
  Horizontal alignment of the child within the allocation of the AspectFrame.
  Vertical alignment of the child within the allocation of the AspectFrame.
  The desired aspect ratio.
  If , ratio is ignored, and the aspect ratio is taken from the requistion of the child.
  A new AspectFrame

  Alignment values range from 0.0 (left/top aligned) to 1.0 (right/bottom aligned).

- Constructor
  Internal constructor
- Property
  System.UInt32 The GLib Type for Gtk.AspectFrame The GLib TYpe for the Gtk.AspectFrame class.
- Property
  System.Single `` Vertical alignment of the child widget in the AspectFrame. A value between 0.0 (top aligned) and 1.0 (bottom aligned). A value between 0.0 and 1.0.
- Property
  System.Single `` Horiontal alignment of the child widget in the AspectFrame. A value between 0.0 (left aligned) and 1.0 (right aligned). A value between 0.0 and 1.0.
- Property
  System.Single `` The aspect ratio of the child widget's size. A ratio between 0.0 and 1.0 The aspect ratio between 0.0 and 1.0 representing the child's size constraints.

  Setting this ratio is ignored if is set to .

- Property
  System.Boolean `` Allow the frame to use its child widget's aspect ratio. for the AspectFrame to use the child widget's size ratio, for to control the ratio. The current size ratio of the child widget